# Font Descriptor

(PHP 7, UI 0.9.9)

## Introduction

Describes a font

## Class synopsis

UI\Draw\Text\Font\Descriptor {
/* Constructor */
public __construct ( string `$family` , float `$size` [, int `$weight` = UI\Draw\Text\Font\Weight::Normal [, int `$italic` = UI\Draw\Text\Font\Italic::Normal [, int `$stretch` = UI\Draw\Text\Font\Stretch::Normal ]]] )
/* Methods */
public getFamily ( void ) : string
public getItalic ( void ) : int
public getSize ( void ) : float
public getStretch ( void ) : int
public getWeight ( void ) : int
}

## Table of Contents

- UI\Draw\Text\Font\Descriptor::__construct — Construct a new Font Descriptor
- UI\Draw\Text\Font\Descriptor::getFamily — Get Font Family
- UI\Draw\Text\Font\Descriptor::getItalic — Style Detection
- UI\Draw\Text\Font\Descriptor::getSize — Size Detection
- UI\Draw\Text\Font\Descriptor::getStretch — Style Detection
- UI\Draw\Text\Font\Descriptor::getWeight — Weight Detection